Bug 1515118 - Error response from daemon: secret store is not initialized [NEEDINFO]
Summary: Error response from daemon: secret store is not initialized
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 07:35 UTC by Lukas Slebodnik
Modified: 2019-05-29 00:10 UTC (History)
21 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-29 00:10:27 UTC
amurdaca: needinfo? (lsm5)


Attachments (Terms of Use)

Description Lukas Slebodnik 2017-11-20 07:35:53 UTC
Description of problem:
I cannot start existing container after last upgrade of docker in rahwhide.
But it seems that the same version is also in f26 and f27. 

I try to enable debug logs for docker and docker-containerd but it didn;t show anything interesting.

Version-Release number of selected component (if applicable):
docker-1.13.1-42.git4402c09.fc28.x86_64

How reproducible:
Deterministic on my laptop

But I cannot reproduce with newly created container from the same image 

Actual results:
sh# docker start test
Error response from daemon: secret store is not initialized
Error: failed to start containers: test

Expected results:
Container start without any problem

Additional info:
Nov 20 08:33:41 graviton.brq.redhat.com audit[13983]: VIRT_CONTROL pid=13983 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:container_runtime_t:s0 msg='vm-pid=? user=alcik auid=1000 exe=? hostname=? reason=api op=_ping vm=?  exe="/usr/bin/dockerd-current" hostname=? addr=? terminal=? res=success'
Nov 20 08:33:41 graviton.brq.redhat.com audit[13983]: VIRT_CONTROL pid=13983 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:container_runtime_t:s0 msg='exe=bash hostname=8d8b4775f0b9 op=start user=alcik vm-pid=0 auid=1000 reason=api vm=lslebodn/test  exe="/usr/bin/dockerd-current" hostname=? addr=? terminal=? res=success'
Nov 20 08:33:41 graviton.brq.redhat.com audit: ANOM_PROMISCUOUS dev=veth21d63a8 prom=256 old_prom=0 auid=4294967295 uid=0 gid=0 ses=4294967295
Nov 20 08:33:41 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered blocking state
Nov 20 08:33:41 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered disabled state
Nov 20 08:33:41 graviton.brq.redhat.com kernel: device veth21d63a8 entered promiscuous mode
Nov 20 08:33:41 graviton.brq.redhat.com kernel: IPv6: ADDRCONF(NETDEV_UP): veth21d63a8: link is not ready
Nov 20 08:33:41 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered blocking state
Nov 20 08:33:41 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered forwarding state
Nov 20 08:33:41 graviton.brq.redhat.com NetworkManager[2411]: <info>  [1511163221.5798] manager: (vethaf3cd8f): new Veth device (/org/freedesktop/NetworkManager/Devices/190)
Nov 20 08:33:41 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered disabled state
Nov 20 08:33:41 graviton.brq.redhat.com NetworkManager[2411]: <info>  [1511163221.5811] manager: (veth21d63a8): new Veth device (/org/freedesktop/NetworkManager/Devices/191)
Nov 20 08:33:41 graviton.brq.redhat.com systemd-udevd[14091]: link_config: autonegotiation is unset or enabled, the speed and duplex are not writable.
Nov 20 08:33:41 graviton.brq.redhat.com systemd-udevd[14090]: link_config: autonegotiation is unset or enabled, the speed and duplex are not writable.
Nov 20 08:33:41 graviton.brq.redhat.com systemd-udevd[14091]: Could not generate persistent MAC address for veth21d63a8: No such file or directory
Nov 20 08:33:41 graviton.brq.redhat.com systemd-udevd[14090]: Could not generate persistent MAC address for vethaf3cd8f: No such file or directory
Nov 20 08:33:42 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered disabled state
Nov 20 08:33:42 graviton.brq.redhat.com audit: ANOM_PROMISCUOUS dev=veth21d63a8 prom=0 old_prom=256 auid=4294967295 uid=0 gid=0 ses=4294967295
Nov 20 08:33:42 graviton.brq.redhat.com kernel: device veth21d63a8 left promiscuous mode
Nov 20 08:33:42 graviton.brq.redhat.com kernel: docker0: port 1(veth21d63a8) entered disabled state
Nov 20 08:33:42 graviton.brq.redhat.com NetworkManager[2411]: <info>  [1511163222.1953] device (veth21d63a8): released from master device docker0
Nov 20 08:33:42 graviton.brq.redhat.com dockerd-current[13983]: time="2017-11-20T08:33:42.374190485+01:00" level=error msg="Handler for POST /v1.26/containers/test/start returned error: secret store is not initialized"
Nov 20 08:33:42 graviton.brq.redhat.com dockerd-current[13983]: time="2017-11-20T08:33:42.374594914+01:00" level=error msg="Handler for POST /v1.26/containers/test/start returned error: secret store is not initialized"

Comment 1 Lukas Slebodnik 2017-11-20 07:41:15 UTC
Sorry that I do not have a better reproducer :-(.
So far I will not remove problematic container.

BTW I am not sure whether it is related but container was running when I upgraded docker.

Comment 2 Antonio Murdaca 2017-11-20 11:04:48 UTC
https://github.com/projectatomic/docker/commit/ff9c1595ffa134c38dce0ca2b8c25d004f0f8675

Fixed there, we'll rebuild soon for Fedora again

Comment 3 Lukas Slebodnik 2017-11-27 08:57:23 UTC
(In reply to Antonio Murdaca from comment #2)
> https://github.com/projectatomic/docker/commit/
> ff9c1595ffa134c38dce0ca2b8c25d004f0f8675
> 
> Fixed there, we'll rebuild soon for Fedora again

Antonio,

thank you very much. It works for me with docker-1.13.1-44.git584d391.fc28.x86_64

Comment 4 Meng Bo 2017-11-30 08:15:31 UTC
I meet the same issue with fedora 27 + docker-1.13.1-42.git4402c09.fc27.x86_64
And I had rolled back the docker to 1.31.1-26 to make it work again.

Comment 5 Lukas Slebodnik 2017-11-30 08:34:50 UTC
(In reply to Meng Bo from comment #4)
> I meet the same issue with fedora 27 +
> docker-1.13.1-42.git4402c09.fc27.x86_64
> And I had rolled back the docker to 1.31.1-26 to make it work again.

Have you tried docker-1.13.1-44.git584d391.fc27 from updates testing?
It's marked as a security update
https://bodhi.fedoraproject.org/updates/FEDORA-2017-15efa72a0c

Comment 6 Francisco de la Peña 2017-11-30 14:22:06 UTC
(In reply to Lukas Slebodnik from comment #5)
> (In reply to Meng Bo from comment #4)
> > I meet the same issue with fedora 27 +
> > docker-1.13.1-42.git4402c09.fc27.x86_64
> > And I had rolled back the docker to 1.31.1-26 to make it work again.
> 
> Have you tried docker-1.13.1-44.git584d391.fc27 from updates testing?
> It's marked as a security update
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-15efa72a0c

I can confirm it works again with the -44 (fc27) update.

Comment 7 Meng Bo 2017-12-01 02:35:14 UTC
(In reply to Lukas Slebodnik from comment #5)
> (In reply to Meng Bo from comment #4)
> > I meet the same issue with fedora 27 +
> > docker-1.13.1-42.git4402c09.fc27.x86_64
> > And I had rolled back the docker to 1.31.1-26 to make it work again.
> 
> Have you tried docker-1.13.1-44.git584d391.fc27 from updates testing?
> It's marked as a security update
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-15efa72a0c

It works fine after I upgrade the docker packages to 1.13.1-44.git584d391.fc27 with enable repo updates-testing.

Thanks.

Comment 8 Phip 2017-12-13 06:08:52 UTC
Autopush was disabled for 1.13.1-44.git584d391.fc27, but the issue that caused it is resolved. I fear it's been overlooked, can it be pushed to stable?

Comment 9 cecilgol 2017-12-15 22:19:09 UTC
Also seeing this, if -44 fixes it it'd be nice to get it in the stable release.

Comment 10 Fedora End Of Life 2018-02-20 15:30:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 11 E.N. 2018-05-30 11:23:05 UTC
I am hitting this with

```
# rpm --query --all docker*
docker-1.13.1-56.git6c336e4.fc28.x86_64
docker-rhel-push-plugin-1.13.1-56.git6c336e4.fc28.x86_64
docker-common-1.13.1-56.git6c336e4.fc28.x86_64
```

Comment 12 Vladimir 2018-05-31 14:41:08 UTC
docker-1.13.1-54.git6c336e4.fc27 is not working for me with 'secret store is not initialized' message. 

docker-1.13.1-26.gitb5e3294.fc27 is fine.

Fedora 27 (Workstation Edition)

Comment 13 Dick Marinus 2018-06-04 07:10:47 UTC
Same here (Fedora 28), worked around this using:

systemctl stop docker
dnf downgrade docker-2:1.13.1-51.git4032bd5.fc28
systemctl start docker

Comment 14 Ben Cotton 2019-05-02 19:22:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-29 00:10:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.